# RASAuthSettings.md

## NAMESPACE

RASAdminEngine.Core.OutputModels

## DESCRIPTION

RAS Authentication Settings

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

RASAuthSettings

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                                                                            | Name                 | Description                                                     |
| ------------------------------------------------------------------------------------------------------------------------------- | -------------------- | --------------------------------------------------------------- |
| Boolean                                                                                                                         | AllTrustedDomains    | Whether to use all trusted domains.                             |
| [AuthenticationTypes](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/authenticationtypes.md) | AuthType             | Represents the type of authentication.                          |
| String                                                                                                                          | ChangePasswordURL    | Custom link for the "Change domain password" option.            |
| String                                                                                                                          | Domain               | Domain name.                                                    |
| Boolean                                                                                                                         | ForceNetBIOSCreds    | Whether to force clients to use NetBIOS credentials.            |
| Boolean                                                                                                                         | ReplicateSettings    | Whether to replicate settings to other sites.                   |
| UInt32                                                                                                                          | SiteId               | The site ID to which the RAS authentication settings refer.     |
| Boolean                                                                                                                         | UseChangePasswordURL | Enable use custom link for the "Change domain password" option. |
| Boolean                                                                                                                         | UseClientDomain      | Whether to use the client domain, if specified.                 |

## PUBLIC METHODS

| Type                                                         | Name                       | Description                                                                                                                                |
| ------------------------------------------------------------ | -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32                                                        | CompareTo (Object obj)     | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Boolean                                                      | Equals (Object obj)        | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Int32                                                        | GetHashCode ()             | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Type                                                         | GetType ()                 | String                                                                                                                                     |
| ToString ()                                                  | ### References to Commands |                                                                                                                                            |
| ------------------------------------------------------------ |                            |                                                                                                                                            |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasauthsettings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
